#include <iocslib.h>
#include "defines.h"
#include "aexprint.h"

int PrintsShiftPrintSub(int (*func)(),unchar *str,int size,int wt,int tm,int mode)
/* 文字列シフト表示：１文字づつ版 */
{
_FNTBUF fnt;
int xy=-1;
unint c;
	while ((c=*str++)!=0) {
		if (check_kanji1(c)) {
			if ((*str)==0) break; /* 漢字２バイト目が無い */
			c=(c<<8)|*str++;
		}
		fontsetc(c,size,&fnt);
		xy=func(&fnt,wt,tm,mode);
	}
	return(xy);
}
